'\" t
.\"     Title: morse
.\"    Author: [see the "AUTHORS" section]
.\" Generator: DocBook XSL Stylesheets v1.76.1 <http://docbook.sf.net/>
.\"      Date: 11/27/2012
.\"    Manual: Education
.\"    Source: morse
.\"  Language: English
.\"
.TH "MORSE" "1" "11/27/2012" "morse" "Education"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
morse, QSO \- Morse\-code trainer and QSO generator for aspiring radio hams
.SH "SYNOPSIS"
.HP \w'\fBmorse\fR\ 'u
\fBmorse\fR [\-i] [\-I] [\-r] [\-n\ \fInum\fR] [\-R\ \fInum\fR] [\-N\ \fInum\fR] [\-C\ \fIcharset\fR] [\-w\ \fInum\fR] [\-f\ \fInum\fR] [\-v\ \fInum\fR] [\-g\ \fInum\fR] [\-f\ \fInum\fR] [\-e] [\-c] [\-b] [\-a] [\-l] [\-m] [\-t] [\-T] [\-s] [\-q] [\-p\ \fInum\fR] [\-E\ \fInum\fR] [\-M\ \fInum\fR] [\-d] [\-A] [\-B] [\-S] [\-x\ \fInum\fR] [\-X\ \fInum\fR] [\fIword\fR...]
.SH "DESCRIPTION"
.PP
The
\fBmorse\fR
program is a Morse\-code trainer intended to help aspiring radio hams pass the 5\-word\-per\-minute Element 1 test\&. It can take test text from a text file on standard input, or test words from its command\-line arguments, or generate random text (\-r) or play back what you type (\-i)\&.
.PP
A helper program,
\fBQSO\fR, generates plausible QSOs that can be fed to the standard input of
\fBmorse\fR\&.
.PP
The following options control the behavior of
\fBmorse\fR:
.PP
\-i
.RS 4
Play what you type\&.
.RE
.PP
\-I
.RS 4
Like \-i but don\*(Aqt turn off keyboard echoing\&.
.RE
.PP
\-r
.RS 4
Generate random text\&. Starts out slanted towards easy letters, then slants towards ones you get wrong\&.
.RE
.PP
\-n NUM
.RS 4
Make words (groups) NUM characters long\&. Valid values are between 1 and 20\&.
.RE
.PP
\-R NUM
.RS 4
Set the total time (in minutes) to generate text\&.
.RE
.PP
\-N NUM (default 0 means unlimited)
.RS 4
Set the total number of words (groups) to generate\&.
.RE
.PP
\-C \*(AqSTRING\*(Aq (default all available characters)
.RS 4
Select characters to send from this STRING only\&.
.RE
.PP
\-w
.RS 4
words_per_minute
.RE
.PP
\-f
.RS 4
frequency_in_hertz
.RE
.PP
\-v
.RS 4
volume (zero to one, rather nonlinear)
.RE
.PP
\-g
.RS 4
alternate_frequency (toggles via control\-G in input FILE at a word break)
.RE
.PP
\-F
.RS 4
Farnsworth_character_words_per_minute
.RE
.PP
\-e
.RS 4
leave off the <SK> sound at the end
.RE
.PP
\-c
.RS 4
complain about illegal characters instead of just ignoring them
.RE
.PP
\-b
.RS 4
print each word before doing it
.RE
.PP
\-a
.RS 4
print each word after doing it
.RE
.PP
\-l
.RS 4
print each letter just before doing it
.RE
.PP
\-m
.RS 4
print morse dots and dashes as they sound (this printing\-intensive option slows the wpm down!)
.RE
.PP
\-t
.RS 4
Type along with the morse, but don\*(Aqt see what you\*(Aqre typing (unless you make a mistake)\&. You are allowed to get ahead as much as you want\&. If you get too far behind it will stop and resync with you\&. You can force it to resync at the next word end by hitting control\-H\&. Hit ESC to see how you are doing, control\-D to end\&. (The rightmost space in the printout marks where the average is\&. Farther left spaces separate off blocks of letters that are about twice as probable as the average to occur, three times, etc\&.)
.RE
.PP
\-T
.RS 4
Like \-t but see your characters (after they are played)\&.
.RE
.PP
\-s
.RS 4
Stop after each character and make sure you get it right\&. (implies \-t)
.RE
.PP
\-q
.RS 4
Quietly resyncs with your input (after you make a mistake)\&.
.RE
.PP
\-p NUM
.RS 4
Make you get it right NUM times, for penance\&. (implies \-s)\&.
.RE
.PP
\-E NUM
.RS 4
If your count of wrong answers minus right answers for a given character exceeds this, the program will start prompting you\&. If above the maximum error prompt it will never prompt (implies \-t)\&.
.RE
.PP
\-M NUM
.RS 4
If you get more than this number of characters behind, pause until you do your next letter\&. 1 behind is normal, 0 behind means never pause\&. This option mplies \-t\&.
.RE
.PP
\-d
.RS 4
Dynamically speed up or slow down depending on how you are doing\&. (if also\-s, then \-d
\fIonly speeds up\fR!)
.RE
.PP
\-A
.RS 4
Add ISO 8859\-1 (Latin\-1) signs to test set\&.
.RE
.PP
\-B
.RS 4
Add uncommon punctuation to test set\&.
.RE
.PP
\-S
.RS 4
Add uncommon prosigns to test set\&.
.RE
.PP
\-X
.RS 4
Set error volume\&. Error volume 0 means use console speaker\&.
.RE
.PP
\-x
.RS 4
Set frequency of error tone\&.
.RE
.PP
Here is the basic International Morse codest that the program will train you in:
.sp
.if n \{\
.RS 4
.\}
.nf
        A  \&.\-          N  \-\&.          1  \&.\-\-\-\-       \&.  \&.\-\&.\-\&.\-
        B  \-\&.\&.\&.        O  \-\-\-         2  \&.\&.\-\-\-       ,  \-\-\&.\&.\-\-
        C  \-\&.\-\&.        P  \&.\-\-\&.        3  \&.\&.\&.\-\-       ?  \&.\&.\-\-\&.\&.
        D  \-\&.\&.         Q  \-\-\&.\-        4  \&.\&.\&.\&.\-       (  \-\&.\-\-\&.
        E  \&.           R  \&.\-\&.         5  \&.\&.\&.\&.\&.       \-  \-\&.\&.\&.\&.\-
        F  \&.\&.\-\&.        S  \&.\&.\&.         6  \-\&.\&.\&.\&.
        G  \-\-\&.         T  \-           7  \-\-\&.\&.\&.
        H  \&.\&.\&.\&.        U  \&.\&.\-         8  \-\-\-\&.\&.
        I  \&.\&.          V  \&.\&.\&.\-        9  \-\-\-\-\&.
        J  \&.\-\-\-        W  \&.\-\-         0  \-\-\-\-\-
        K  \-\&.\-         X  \-\&.\&.\-        /  \-\&.\&.\-\&.
        L  \&.\-\&.\&.        Y  \-\&.\-\-        +  \&.\-\&.\-\&.
        M  \-\-          Z  \-\-\&.\&.        =  \-\&.\&.\&.\-
.fi
.if n \{\
.RE
.\}
.PP
The following characters are included if one uses the \-B option:
.sp
.if n \{\
.RS 4
.\}
.nf
        )  \-\&.\-\-\&.\-      "  \&.\-\&.\&.\-\&.      _  \&.\&.\-\-\&.\-
        \*(Aq  \&.\-\-\-\-\&.      :  \-\-\-\&.\&.\&.      ;  \-\&.\-\&.\-\&.
        $  \&.\&.\&.\-\&.\&.\-     !  \-\&.\-\&.\-\-      @  \&.\-\-\&.\-\&.
.fi
.if n \{\
.RE
.\}
.PP
The following procedural signals (prosigns) are also included if one uses \-B:
.sp
.if n \{\
.RS 4
.\}
.nf
<AR>    "+" over, end of message
<AS>    "*" please stand by (<AS> 5  Wait 5 Minutes) ("\&.\-\&.\&.\&.")
<BT>    "=" (double dash) pause, break for text
CL          going off the air (clear)
CQ          calling any station
K           go, invite any station to transmit
<KN>    "(" go only, invite a specific station to transmit
R           all received OK
<SK>    "%" end of contact (sent before call) ("\&.\&.\&.\-\&.\-", known also as <VA>)
.fi
.if n \{\
.RE
.\}
.PP
The following less\-used prosigns are included if one uses the \-S option:
.sp
.if n \{\
.RS 4
.\}
.nf
<AA>    "^" new line ("\&.\-\&.\-", the same as :a, ae)
<BK>    "#" invite receiving station to transmit ("\-\&.\&.\&.\-\&.\-")
<KA>    "&" attention ("\-\&.\-\&.\-")
<SN>    "~" understood ("\&.\&.\&.\-\&.")
.fi
.if n \{\
.RE
.\}
.PP
The following characters are included if one uses the \-A option:
.sp
.if n \{\
.RS 4
.\}
.nf
        :a  \&.\-\&.\-   (also for ae, the same as <AA>)
        `a  \&.\-\-\&.\-  (also oa, danish a with ring over it)
        ch  \-\-\-\-   (bar\-ch ?, bar\-h ?, ISO 8859\-1 code 199 and 231 ?)
        \-d  \&.\&.\-\-\&.  (eth, overstrike d with \-, ISO 8859\-1 code 208 and 240)
        `e  \&.\&.\-\&.\&.
        ~n  \-\-\&.\-\-
        :o  \-\-\-\&.   (also for oe)
        :u  \&.\&.\-\-   (also for ue)
        ]p  \&.\-\-\&.\&.  (thorn, overstrike ] with p, ISO 8859\-1 code 222 and 254)
        paragraph  \&.\-\&.\-\&.\&.  (ISO 8859\-1 code 167 ?)
.fi
.if n \{\
.RE
.\}
.PP
For the raw beginner trying to learn morse code, we recommend the following sequence:
.sp
.RS 4
.ie n \{\
\h'-04' 1.\h'+01'\c
.\}
.el \{\
.sp -1
.IP "  1." 4.2
.\}
Start learning the alphabet:
.sp
.if n \{\
.RS 4
.\}
.nf
morse \-r \-s \-T \-d \-w 5 \-F 15 \-p 5 \-E \-10
.fi
.if n \{\
.RE
.\}
.RE
.sp
.RS 4
.ie n \{\
\h'-04' 2.\h'+01'\c
.\}
.el \{\
.sp -1
.IP "  2." 4.2
.\}
Then drill drill drill:
.sp
.if n \{\
.RS 4
.\}
.nf
morse \-r \-s \-T \-d \-w 5 \-F 15 \-p 5 \-E 0
.fi
.if n \{\
.RE
.\}
.RE
.sp
.RS 4
.ie n \{\
\h'-04' 3.\h'+01'\c
.\}
.el \{\
.sp -1
.IP "  3." 4.2
.\}
Real\-time drill, with hints if you really need it:
.sp
.if n \{\
.RS 4
.\}
.nf
morse \-r \-T \-d \-w 5 \-F 15 \-M 2 \-E 4
.fi
.if n \{\
.RE
.\}
.RE
.sp
.RS 4
.ie n \{\
\h'-04' 4.\h'+01'\c
.\}
.el \{\
.sp -1
.IP "  4." 4.2
.\}
Simulated test:
.sp
.if n \{\
.RS 4
.\}
.nf
QSO | morse \-e \-T \-d \-w 5 \-F 15
.fi
.if n \{\
.RE
.\}
.RE
.sp
.RS 4
.ie n \{\
\h'-04' 5.\h'+01'\c
.\}
.el \{\
.sp -1
.IP "  5." 4.2
.\}
The dreaded random\-letter test:
.sp
.if n \{\
.RS 4
.\}
.nf
morse \-r \-T \-d \-w 5 \-F 15
.fi
.if n \{\
.RE
.\}
.RE
.sp
.RS 4
.ie n \{\
\h'-04' 6.\h'+01'\c
.\}
.el \{\
.sp -1
.IP "  6." 4.2
.\}
Finally try for greater and greater speed:
.sp
.if n \{\
.RS 4
.\}
.nf
morse \-r \-T \-d \-w 13 \-F 24
.fi
.if n \{\
.RE
.\}
.RE
.SH "AUTHORS"
.PP
Joe Dellinger
joe@montebello\&.soest\&.hawaii\&.edu\&.
.PP
Updated 2005 by Eric S\&. Raymond
esr@thyrsus\&.com\&.
.PP
Updated 2010 by Thomas Horsten
thomas@horsten\&.com\&.
.PP
Other contributions by Jacek M\&. Holeczek and Marc Unangst\&.
